# RUN: yaml2obj %s | llvm-readobj -symbols - | FileCheck %s
!ELF
FileHeader:
  Class: ELFCLASS64
  Data: ELFDATA2LSB
  Type: ET_REL
  Machine: EM_X86_64
Sections:
  - Name: .data
    Type: SHT_PROGBITS
    Flags: [ SHF_ALLOC, SHF_WRITE ]
    Content: "DEADBEEF"
Symbols:
  Local:
    - Name: local_symbol
      Type: STT_OBJECT
      Section: .data
  Global:
    - Name: global_symbol
      Type: STT_OBJECT
      Section: .data
  Weak:
    - Name: weak_symbol
      Type: STT_OBJECT
      Section: .data

# CHECK: Symbol {
# CHECK:   Name:  (0)
# CHECK: Symbol {
# CHECK:   Name: local_symbol
# CHECK:   Binding: Local
# CHECK: Symbol {
# CHECK:   Name: global_symbol
# CHECK:   Binding: Global
# CHECK: Symbol {
# CHECK:   Name: weak_symbol
# CHECK:   Binding: Weak
